Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class Storage

    java.lang.Object
      com.amazonaws.services.ec2.model.Storage

    public class Storage

extends Object

Describes the storage destination for a BundleTask when bundling a Windows instance.

Constructor Summary
`Storage()`

Method Summary
`S3Storage` | `getS3()` The details of S3 storage for bundling a Windows instance.
`void` | `setS3(S3Storage s3)` The details of S3 storage for bundling a Windows instance.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Storage` | `withS3(S3Storage s3)` The details of S3 storage for bundling a Windows instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Storage

    public Storage()

Method Detail

### getS3

    public S3Storage getS3()

  The details of S3 storage for bundling a Windows instance.

  Returns:
    The details of S3 storage for bundling a Windows instance.

### setS3

    public void setS3(S3Storage s3)

  The details of S3 storage for bundling a Windows instance.

  Parameters:
    `s3` - The details of S3 storage for bundling a Windows instance.

### withS3

    public Storage withS3(S3Storage s3)

  The details of S3 storage for bundling a Windows instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `s3` - The details of S3 storage for bundling a Windows instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.